<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  $ModuleName = 'Logout';
  $BlogRoot = '../';
  $TemplateDir = 'admin/template/';
  $PosterVersion = '1.0.12';

  /* The user has a cookie */
  if ((isset ($_COOKIE['Poster'])) && ($_COOKIE['Poster'])) {

    /* Start session */
    session_name ('Poster');
    session_start ();

    /* Include config file and functions */
    ob_start ();
    require ($BlogRoot . 'config.php');
    require ($BlogRoot . 'include/poster.php');

    /* Delete the authentication token for this blog */
    if (isset ($_SESSION[$BlogUrl])) {
      unset ($_SESSION[$BlogUrl]);
    }

    /* The session is empty */
    if (count ($_SESSION) == 0) {

      /* Destroy the session */
      session_destroy ();
      session_write_close ();

      /* Delete the cookie as well */
      setcookie ('Poster', '', time () - 1, '/');
    }
  }

  /* Redirect to login page */
  header ('Location: index.php');

  ob_end_flush ();
?>
