<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function GetQuery ($Context)
  {
    $Query = NULL;

    /* FIXME This one is a special case just because of backward
     *       compatibility; remove this with next major version */
    if (!strcmp ($Context, 'post')) {

      /* Check for the obsolete one */
      if (isset ($_GET['id'])) {
        $Query = stripslashes ($_GET['id']);
      }

      /* Overwrite the obsolete one with the raccomended one if both are
       * present */
      if (isset ($_GET['post'])) {
        $Query = stripslashes ($_GET['post']);
      }
    }

    /* Index requires no query; for the other ones, just take the argument
     * from the GET variable having the same name of the context */
    else if (strcmp ($Context, 'index')) {
      $Query = stripslashes ($_GET[$Context]);
    }

    return $Query;
  }
?>
