<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function IsComment ($PostId, $Item)
  {
    global $BlogRoot, $DataDir;

    $Result = TRUE;

    /* Exclude special files */
    if ((!strcmp ($Item, '.')) || (!strcmp ($Item, '..'))) {
      $Result = FALSE;
    }

    /* Ignore this `flag file'  */
    if (!strcmp ($Item, 'disabled')) {
      $Result = FALSE;
    }

    /* Exclude files whose name is not a number with length 14 */
    if ((strlen ($Item) != 14) || (!IsNumber ($Item))) {
      $Result = FALSE;
    }

    /* Exclude non-existing files */
    if (!is_file ($BlogRoot . $DataDir . $PostId . '/comments/' . $Item)) {
      $Result = FALSE;
    }

    return $Result;
  }
?>
