<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function UserInfo ()
  {
    global $BlogRoot, $BlogUrl, $Users;

    $Info = NULL;

    /* Check an authentication token exists for this blog */
    if (isset ($_SESSION[$BlogUrl])) {

      /* Get the login and the password from the authentication token */
      $Login = $_SESSION[$BlogUrl]['login'];
      $Password = $_SESSION[$BlogUrl]['password'];

      /* Check the user exists */
      if (isset ($Users[$Login])) {

        /* Check the password is correct */
        if (!strcmp ($Password, $Users[$Login]['password'])) {

          /* Create the information array */
          $Info = array ($Users[$Login]['login'],
                         $Users[$Login]['name'],
                         $Users[$Login]['link'],
                         $Users[$Login]['perms']);
        }
      }
    }

    return $Info;
  }
?>
