<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function CaptchaCreateSpiral ($Image, $OriginX, $OriginY, $Color)
  {
    /* ??? */
    $Theta = 1;
    $ThetaChange = 6;  

    /* ??? */
    $Radius = 15;  

    /* Number of circles per spiral */
    $Circles = 10;  

    /* Number of segments per circle */
    $Segments = 35;

    /* Repeat once for each segment we need to draw */
    for ($i = 0; $i < ($Circles * $Segments) - 1; $i++) {

      $Theta += $ThetaChange;
      $Rad = $Radius * ($i / $Segments);
      $BeginX = ($Rad * cos ($Theta)) + $OriginX;
      $BeginY = ($Rad * sin ($Theta)) + $OriginY;

      $Theta += $ThetaChange;
      $Rad = $Radius * (($i + 1) / $Segments);
      $EndX = ($Rad * cos ($Theta)) + $OriginX;
      $EndY = ($Rad * sin ($Theta)) + $OriginY;

      /* Draw segment on the image */
      ImageLine ($Image, $BeginX, $BeginY, $EndX, $EndY, $Color);
      $Theta -= $ThetaChange;
    }
  }
?>
