<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function GetContext ()
  {
    /* Default context is index */
    $Context = 'index';

    if (isset ($_GET['archive'])) {
      $Context = 'archive';
    }
    if (isset ($_GET['category'])) {
      $Context = 'category';
    }
    if (isset ($_GET['user'])) {
      $Context = 'user';
    }
    if (isset ($_GET['author'])) {
      $Context = 'author';
    }
    if (isset ($_GET['page'])) {
      $Context = 'page';
    }
    if (isset ($_GET['trackback'])) {
      $Context = 'trackback';
    }
    if (isset ($_GET['comment'])) {
      $Context = 'comment';
    }
    /* FIXME I guess I will drop support for this one eventually... */
    if (isset ($_GET['id'])) {
      $Context = 'post';
    }
    if (isset ($_GET['post'])) {
      $Context = 'post';
    }

    return $Context;
  }
?>
