<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function ReadPosts ()
  {
    global $BlogRoot, $DataDir, $PostsOrder;

    $Posts = array ();

    /* Open DataDir for reading */
    $Content = opendir ($BlogRoot . $DataDir);

    /* Read the contents of DataDir */
    while ($Item = readdir ($Content)) {

      /* Check whether the item is a post */
      if (IsPost ($Item)) {

        /* Add the item to the list */
        $Posts[] = $Item;
      }
    }

    /* Close the dir */
    closedir ($Content);

    /* Check there are posts before sorting */
    if (count ($Posts) > 0) {

      /* Sort posts. Default order is Reverse */
      if (!strcmp ($PostsOrder, 'Chronological')) {
        sort ($Posts);
      }
      else {
        rsort ($Posts);
      }
    }

    return $Posts;
  }
?>
