<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function SendPing ($Url, $PostId, $Title, $Excerpt)
  {
    global $BlogUrl, $BlogTitle, $PosterVersion;

    $Check = TRUE;

    /* Split the url into host and path+query */
    $Url = parse_url ($Url);
    $Host = $Url['host'];
    $Url = $Url['path'] . '?' . $Url['query'];

    /* Create query */
    $Query = 'url=' . urlencode (CreateBlogLink ('post=' . $PostId)) .
'&blog_name=' . urlencode ($BlogTitle) .
'&title=' . urlencode ($Title) .
'&excerpt=' . urlencode ($Excerpt);
    
    /* Create request */
    $Request = 'POST ' . $Url . ' HTTP/1.1' . "\r\n" .
'Host: ' . $Host . "\r\n" .
'Content-Type: application/x-www-form-urlencoded' . "\r\n" .
'Content-Length: ' . strlen ($Query) . "\r\n" .
'User-Agent: Poster/' . $PosterVersion . "\r\n" .
'Connection: close' . "\r\n" .
"\r\n" .
$Query . "\r\n";

    /* Open the socket */
    $Handle = fsockopen ($Host, 80);

    /* Check the socket was opened correctly */
    if ($Handle != NULL)  {

      /* Write the request to the socket */
      if (!fputs ($Handle, $Request)) {
        $Check = FALSE;
      }

      /* Close the socket */
      fclose ($Handle);
    }
    else {
      $Check = FALSE;
    }

    return $Check;
  }
?>
