<?php
  /*  Poster - Simple and light weight blog engine
   *  Copyright (C) 2004-2009  Andrea Bolognani <eof@kiyuko.org>
   *
   *  This program is free software; you can redistribute it and/or modify
   *  it under the terms of the GNU General Public License as published by
   *  the Free Software Foundation; either version 2 of the License, or
   *  (at your option) any later version.
   *
   *  This program is distributed in the hope that it will be useful,
   *  but WITHOUT ANY WARRANTY; without even the implied warranty of
   *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   *  GNU General Public License for more details.
   *
   *  You should have received a copy of the GNU General Public License along
   *  with this program; if not, write to the Free Software Foundation, Inc.,
   *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
   *
   *  Homepage: http://kiyuko.org/software/poster
   */

  function WriteUsers ()
  {
    global $BlogRoot, $Users;

    $File = '';
    $Check = TRUE;

    /* Create a line in the file for each user */
    foreach ($Users as $User) {

      $Line = array ($User['login'],
                     $User['password'],
                     $User['name'],
                     $User['link'],
                     $User['perms']);

      /* Escape special characters in the fields */
      for ($i = 0; $i < count ($Line); $i++) {
        $Line[$i] = str_replace ('\\', '\\\\', $Line[$i]);
        $Line[$i] = str_replace (':', '\\:', $Line[$i]);
      }

      /* Create the line joining all the fields together */
      $File .= implode (':', $Line) . "\n";
    }

    /* Write the file */
    $Check = LockedFileWrite ($BlogRoot . 'users', $File);

    return $Check;
  }
?>
