<?php

  /* Tell the user agent to treat the output as a JPEG image */
  header ("Content-type: image/jpeg");

  /* Disable error reporting, we don't want it enabled since the output of
   * the script is an image */
  error_reporting (NULL);

  /* Include configuration and functions */
  $BlogRoot = '../';
  require ($BlogRoot . 'config.php');
  require ($BlogRoot . 'include/poster.php');

  /* The default text is "<error>": it should never be displayed, anyway */
  $Secret = '<error>';

  /* Check the secret word is present in the request */
  if ((isset ($_GET['secret'])) && ($_GET['secret'])) {

    /* Get the encrypted secret word and decrypt it */
    $Secret = stripslashes ($_GET['secret']);
    $Secret = CaptchaDecrypt ($Secret);
  }

  /* Generate the captcha image */
  CaptchaImage ($Secret);
?>

